LDTBREAD(3X)

NAME
ldtbread - read an indexed symbol table entry of a COFF file

SYNOPSIS
#include <stdio.h>
#include <filehdr.h>
#include <syms.h>
#include <ldfcn.h>

int ldtbread (ldptr, symindex, symbol)
LDFILE *ldptr;
long symindex;
SYMENT *symbol;

AVAILABILITY

Available only on Sun 386i systems running a SunOS 4.0.x release or earlier. Not a SunOS 4.1 release feature.

DESCRIPTION

ldtbread() reads the symbol table entry specified by symindex of the COFF file currently associated with ldptr into the area of memory beginning at symbol.

ldtbread() returns SUCCESS or FAILURE. ldtbread() will fail if symindex is greater than or equal to the number of symbols in the object file, or if it cannot read the specified symbol table entry.

Note: the first symbol in the symbol table has an index of zero.

The program must be loaded with the object file access routine library libld.a.

SEE ALSO
ldclose(3X), ldfcn(3), ldopen(3X), ldtbseek(3X), ldgetname(3X)